# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|

  config.vm.box = "bento/ubuntu-16.04"
  config.vm.box_check_update = false

  config.vm.network "private_network", ip: "192.168.56.10"
  config.vm.network "public_network"
  
  config.vm.provider "virtualbox" do |vb|
    vb.cpus = 8
     vb.memory = "4096"
  end

  # mount_options = ["rw", "tcp", "nolock", "fsc", "actimeo=2"]
  # config.vm.synced_folder "var/", "/srv/var/", type: "nfs"
  config.vm.synced_folder "src/", "/home/vagrant/cd-in-a-box/", type: "nfs"
  config.vm.synced_folder "examples/", "/home/vagrant/examples/", type: "nfs"

  config.vm.provision "shell", path: "provision/base.sh"
  config.vm.provision "shell", path: "provision/service-docker.sh"
  config.vm.provision "shell", path: "provision/dev.sh"

end
